<?php

namespace Schaffen\Gef\Validators;

use \Prettus\Validator\Contracts\ValidatorInterface;
use \Prettus\Validator\LaravelValidator;

/**
 * Class ApontamentoVeiculoGastoItemValidator.
 *
 * @package namespace Schaffen\Gef\Validators;
 */
class ApontamentoVeiculoGastoItemValidator extends LaravelValidator
{
    /**
     * Validation Rules
     *
     * @var array
     */
    protected $rules = [
        ValidatorInterface::RULE_CREATE => [
           'quantidade' => 'required|integer',
           'valor_unitario' => 'required|numeric',
           'apontamento_gasto' => 'required|integer|exists:pgsql.frota.apontamento_veiculo_gasto,avg_codigo',
           'produto' => 'required|integer|exists:pgsql.frota.produto_frota,prfr_codigo',],
        ValidatorInterface::RULE_UPDATE => [
           'quantidade' => 'required|integer',
           'valor_unitario' => 'required|numeric',
           'apontamento_gasto' => 'required|integer|exists:pgsql.frota.apontamento_veiculo_gasto,avg_codigo',
           'produto' => 'required|integer|exists:pgsql.frota.produto_frota,prfr_codigo',],
    ];
}
